## DROP SCHEMA-Anweisung (drop_schema_statement)

Die DROP SCHEMA-Anweisung (drop_schema_statement) löscht ein Schema.

### Syntax

<drop_schema_statement> ::= DROP SCHEMA <schema_name> [<cascade_option>]

### Erläuterung

Der aktuelle Benutzer muss Eigentümer des zu löschenden Schemas sein.

Die Metadaten des angegebenen Schemas werden aus dem Datenbankkatalog gelöscht.

Wenn keine CASCADE-Option oder die CASCADE-Option CASCADE angegeben wurde, werden alle Datenbankobjekte gelöscht, die dem zu löschenden Schema angehören.

Wenn die CASCADE-Option RESTRICT angegeben wurde und noch Objekte existieren, die dem Schema angehören, so scheitert die DROP SCHEMA-Anweisung.